function [xvect,xdif,fx,nit]=aitken(x0,nmax,tol,phi,fun)
%AITKEN Aitken's extrapolation
% [XVECT,XDIF,FX,NIT]=AITKEN(X0,TOL,NMAX,FUN,PHI) tries to find a zero
% of the continuous function FUN  using the Aitken's extrapolation
% on the fixed-point iteration X=PHI(X), starting from the initial guess X0. 
% XVECT is the vector of iterates, XDIF the vector of the differences between
% consecutive iterates, FX the residual. TOL specifies the tolerance of the
% method.
nit=0; xvect=[x0]; x=x0; fxn=eval(fun); 
fx=[fxn]; xdif=[]; err=tol+1;
while err>=tol & nit<=nmax
    nit=nit+1; xv=xvect(nit); x=xv; phix=eval(phi); 
    x=phix; phixx=eval(phi); den=phixx-2*phix+xv;
    if den == 0
        err=tol*1.e-01; 
    else
        xn=(xv*phixx-phix^2)/den; 
        xvect=[xvect; xn];
        xdif=[xdif; abs(xn-xv)]; 
        x=xn; fxn=abs(eval(fun)); 
        fx=[fx; fxn]; err=fxn;
    end 
end
return