function [b]=backband (U,q,b)
%BACKBAND forward substitution for a banded matrix
%  X=BACKBAND(U,Q,B) solves the upper triangular system U*X=B
%  where U is a matrix with upper bandwidth Q.
[n,m]=size(U);
if n ~= m, error('Only square systems'); end
for j=n:-1:1
    b (j) = b (j) / U (j,j);
    i = [max(1,j-q):j-1]; b(i)=b(i)-U(i,j)*b(j); 
end
return
