function [xnew]= backtrackr(f,J,x,d,sigma,rho)
%BACKTRACKR Backtracking method for line search.
%  [XNEW] = BACKTRACKR(F, J, X, D, SIGMA, RHO) attempts to compute the new
%  minimizer XNEW with the line search method. F and J are string variables
%  containing the functional expressions of f and of its Jacobian. X is the 
%  present minimizer. D is a given direction. 
%  SIGMA and RHO are given parameters.
alphak = 1; fk = eval(f); Jfk = eval (J);
xx = x; x = x + alphak * d; fk1 = eval (f);
while fk1 > fk + sigma * alphak * Jfk'*d
    alphak = alphak*rho;
    x = xx + alphak*d;
    fk1 = eval(f);
end
xnew = x;
return
