function [b]=backwardcol(U,b)
% BACKWARDCOL backward substitution: column oriented version.
%  X=BACKWARDCOL(U,B) solve the upper triangular system U*X=B with the
%  backward substitution method in the column-oriented version.
[n,m]=size(U);
if n ~= m, error('Only squared systems'); end
if min(abs(diag(U))) == 0, error('The system is singular'); end
for j = n:-1:2, 
    b(j)=b(j)/U(j,j); b(1:j-1)=b(1:j-1)-b(j)*U(1:j-1,j); 
end
b(1) = b(1)/U(1,1);
return
