function [A] = basicILU(A)
%BASICILU Incomplete LU factorization.
%  Y=BASICILU(A) Y contains the strict lower triangle of L embedded in the same
%  matrix as the upper triangle of U. The factors L and U havent the 
%  same sparsity of the matrix A. 
[n,m]=size(A);
if n ~= m, error('Only squared matrices'); end
for k=1:n-1
    for i=k+1:n,
        if A(i,k) ~= 0
            if A(k,k) == 0, error('Null pivot element'); end
            A(i,k)=A(i,k)/A(k,k);
            for j=k+1:n
                if A(i,j) ~= 0
                    A(i,j)=A(i,j)-A(i,k)*A(k,j);
                end
            end
        end
    end
end
return