function [bnk]=bernstein (n,k,x)
%BERNSTEIN Bernstein polynomial of degree n 
%  [BNK] = BERNSTEIN(N, K, X) constructs the Bernstein polynomial b_{n,k} at X.
if k == 0,
   C = 1;
else,
   C = prod ([1:n])/( prod([1:k])*prod([1:n-k]));
end
bnk = C * x^k * (1-x)^(n-k);

