function [bezx,bezy] = bezier (n, x, y)
%BEZIER Bezier curves
%  [BEZX, BEZY] = BEZIER(N, X, Y) constructs the Bezier curve (BEZX, BEZY) 
%  associated with a given set of points (X,Y) in the plane.
i = 0; k = 0;
for t = 0:0.01:1,
    i = i + 1; bnk = bernstein (n,k,t); ber(i) = bnk;
end
bezx = ber * x (1); bezy = ber * y (1);
for k = 1:n
  i = 0;
  for t = 0:0.01:1
    i = i + 1; bnk = bernstein (n,k,t); ber(i) = bnk;
  end
  bezx = bezx + ber * x (k+1); bezy = bezy + ber * y (k+1);
end
plot(bezx,bezy)

