function [a,b]=coefherm(n)
%COEFHERM Coefficients of Hermite polynomials.
%   [A,B]=COEFHERM(N): A and B are the alpha(k) and beta(k) coefficients
%   for the Hermite polynomial of degree N.
if n<=1, error('n must be >1 '); end
a=zeros(n,1); b=zeros(n,1); b(1)=sqrt(4.*atan(1.));
k=[2:n]; b(k)=0.5*(k-1);
return
