function [a,b]=coeflagu(n)
%COEFLAGU Coefficients of Laguerre polynomials.
%   [A,B]=COEFLAGU(N): A and B are the alpha(k) and beta(k) coefficients
%   for the Laguerre polynomial of degree N.
if n<=1, error('n must be >1 '); end
a=zeros(n,1); b=zeros(n,1); a(1)=1; b(1)=1;
k=[2:n]; a(k)=2*(k-1)+1; b(k)=(k-1).^2;
return
