function [a,b]=coeflege(n)
%COEFLEGE Coefficients of Legendre polynomials.
%   [A,B]=COEFLEGE(N): A and B are the alpha(k) and beta(k) coefficients
%   for the Legendre polynomial of degree N.
if n<=1, error('n must be >1');end 
a = zeros(n,1); b=a; b(1)=2;
k=[2:n]; b(k)=1./(4-1./(k-1).^2);
return