function [b]=forwardcol(L,b)
% FORWARDCOL forward substitution: column oriented version.
%  X=FORWARDCOL(L,B) solve the lower triangular system L*X=B with the
%  forward substitution method in the column-oriented version.
[n,m]=size(L);
if n ~= m, error('Only squared systems'); end
if min(abs(diag(L))) == 0, error('The system is singular'); end
for j=1:n-1
    b(j)= b(j)/L(j,j); b(j+1:n)=b(j+1:n)-b(j)*L(j+1:n,j); 
end 
b(n) = b(n)/L(n,n);
return
