function [x]=forwardrow(L,b)
% FORWARDROW forward substitution: row oriented version.
%  X=FORWARDROW(L,B) solve the lower triangular system L*X=B with
%  the forward substitution method in the row-oriented version.
[n,m]=size(L);
if n ~= m, error('Only squared systems'); end
if min(abs(diag(L))) == 0, error('The system is singular'); end
x(1,1) = b(1)/L(1,1);
for i = 2:n
    x (i,1) = (b(i)-L(i,1:i-1)*x(1:i-1,1))/L(i,i);
end
return
