function [b]=forwband (L,p,b)
%FORWBAND forward substitution for a banded matrix
%  X=FORWBAND(L,P,B) solve the lower triangular system L*X=B
%  where L is a matrix with lower bandwidth P.
[n,m]=size(L);
if n ~= m, error('Only squared systems'); end
for j = 1:n
    i=[j+1:min(j+p,n)]; b(i) = b(i) - L(i,j)*b(j);
end
return