function [x,iter]=gmres(A,b,x0,m,tol)
%GMRES GMRES method 
%  [X,ITER]=GMRES2(A,B,X0,M,TOL) attempts to solve the system 
%  A*X=B with the GMRES method. TOL specifies the tolerance of the method. 
%  M specifies the maximum number of iterations. X0 specifies the initial 
%  guess. ITER is the iteration number at which X is computed.
r0=b-A*x0;  nr0=norm(r0,2);
if nr0 ~= 0
    v1=r0/nr0; V=[v1]; H=[]; iter=0; residual=1;
    while iter <= m-1 & residual > tol
        [iter,V,H] = GSarnoldi(A,m,iter,V,H); 
        [nr,nc]=size(H);    
        y=(H'*H)\(H'*nr0*[1;zeros(nr-1,1)]);
        x=x0+V(:,1:nc)*y;   
        residual = norm(b-A*x,2)/nr0; 
    end
else
    x=x0;
end
return
