function [x,k,residual]=gmresrestart(A,b,x0,m,nres,tol)
%GMRESRESTART GMRES method with restart
%  [X,ITER]=GMRESRESTART(A,B,X0,M,NRES,TOL) attempts to solve the system 
%  A*X=B with the GMRES method. TOL specifies the tolerance of the method. 
%  M specifies the maximum number of iterations. X0 specifies the initial 
%  guess. ITER is the iteration number at which X is computed.
r0=b-A*x0;  nr00=norm(r0,2); nr0 = nr00; residual=[];
if nr00 ~= 0
    v1=r0/nr00; V=[v1]; H=[]; k=0; residual=1; krestart = 0;
    while k <= m-1 & residual(end) > tol
        [krestart,V,H] = GSarnoldi(A,m,krestart,V,H); 
        [nr,nc]=size(H);    
        y=(H'*H)\(H'*nr0*[1;zeros(nr-1,1)]);
        x=x0+V(:,1:nc)*y;   
        reslast = norm(b-A*x,2)/nr00;
        %if reslast < residual(:)
            xx = x;
        %end
        residual = [residual,reslast]; 
        if krestart == nres
            x0 = xx;
            r0=b-A*x0;  nr0=norm(r0,2);
            v1=r0/nr0; V=[v1]; H=[]; 
            krestart = 0; %
        end
        k = k +1;
    end
else
    x=x0;
end
return