function [x,minf,iter]=hookejeeves(f,n,h,x0,tol)
%HOOKEJEEVES HOOKE and JEEVES method for function minimization.
%  [X, MINF, ITER] = HOOKEJEEVES(F, N, H, X0, TOL) attempts to compute the
%  minimizer of a function of N variables with the Hooke and Jeeves method. F is
%  a string variable containing the functional expression of f. H is an initial 
%  step. X0 specifies the initial guess. TOL specifies the tolerance of the method.
%  ITER is the iteration number at which X is computed. MINF is the value of F at 
%  the mimimizer X.
x = x0; minf = eval(f); iter = 0;
while h > tol
    [y] = explore(f,n,h,x);
    if y == x  
        h = h/2; 
    else
        x = 2*y-x; 
        [z] = explore(f,n,h,x);
        if z == x
            x = y;  
        else
            x = z;
        end
    end
    iter = iter +1;
end
minf = eval(f);
return
