function [pnz,b] = horner(a,n,z)
%HORNER Polynomial synthetic division algorithm.
% [PNZ,B]=HORNER(A,N,Z) evaluates withthe Horner method a polynomial
% of degree N and coefficients A(1),...,A(N) in a point Z.
b(1)=a(1); 
for j=2:n+1
    b(j)=a(j)+b(j-1)*z; 
end
pnz=b(n+1);
return