function [A,lev]=ilup(A,p)
%ILUP Incomplete LU(p) factorization.
%  [Y,LEV]=ILUP(A) Y contains the strict lower triangle of L embedded 
%  in the same matrix as the upper triangle of U. The factors L and U
%  havent the a fill-in level P. LEV contains the fill-in level of 
%  each entry at the end of the factorization. 
[n,m]=size(A);
if n ~= m, error('Only squared matrices'); end
lev=Inf*ones(n,n);
i=(A~=0); 
lev(i)=0,
for i=2:n
    for k=1:i-1
        if lev(i,k) <= p
            if A(k,k)==0, error('Null pivot element'); end
            A(i,k)=A(i,k)/A(k,k);
            for j=k+1:n
                A(i,j)=A(i,j)-A(i,k)*A(k,j);
                if A(i,j) ~= 0
                    lev(i,j)=min(lev(i,j),lev(i,k)+lev(k,j)+1);
                end
            end
        end
    end
    for j=1:n, if lev(i,j) > p, A(i,j) = 0; end, end 
end
return