function [f]=interpol(x,y,z)
%INTERPOL Lagrange polynomial interpolation 
%  [F] = INTERPOL(X, Y, Z) computes the Lagrange interpolating polynomial of
%  a function. X contains the interpolation nodes. Y contains the function 
%  values at X. Z contains the points at which the interpolating polynomial
%  F must be evaluated. 
[m n] = size(y);
for j = 1:m
    a (:,1) = y (j,:)';
    for i = 2:n
        a (i:n,i) = ( a(i:n,i-1)-a(i-1,i-1) )./(x(i:n)-x(i-1))';
    end
    f(j,:) = a(n,n).*(z-x(n-1)) + a(n-1,n-1);
    for i = 2:n-1
        f(j,:) = f(j,:).*(z-x(n-i))+a(n-i,n-i);
    end
end
return