function [x,vinc,iter]=lagrpen(f,h,x0,tol,alpha0,beta)
%LAGRPEN Penalty method for constrained function optimization
%  [X,VINC,ITER]=LAGRPEN(F,H,X0,TOL,ALPHA0,BETA) attempts to compute 
%  the minimizer X of a function F with the Penalty method. F is a string containing
%  the functional expressions of the function. X0 specifies the initial guess. H is a
%  string variable containing the constraint. TOL specifies the tolerance of the method. 
%  ALPHA0 and BETA are given parameters. ITER is the iteration number at which X is
%  computed. VINC is the accuracy at which the constraint is satisfied.
x = x0; [r,c]=size(h); vinc = 0;
for i=1:r
    vinc = max(vinc,eval(h(i,1:c)));   
end
norm2h=['(',h(1,1:c),')^2'];
for i=2:r
    norm2h=[norm2h,'+(',h(i,1:c),')^2'];    
end
alpha = alpha0; 
options(1)=0; options(2)=tol*0.1; 
iter = 0;
while vinc > tol
    g=[f,'+0.5*',num2str(alpha,16),'*',norm2h];
    [x]=fminunc(g,x,options);
    vinc=0; 
    iter = iter + 1;
    for i=1:r 
        vinc = max(vinc,eval(h(i,1:c)));  
    end
    alpha=alpha*beta;
    plot(x(1),x(2),'kx'); hold on
end
return