function [A]=luband(A,p,q)
%LUBAND LU factorization for a banded matrix
%  Y=LUBAND(A,P,Q) Y contains the strict lower triangle of L embedded in 
%  the same matrix as the upper triangle of U for a banded matrix A
%  with an upper bandwidth Q and a lower bandwidth P.
[n,m]=size(A);
if n ~= m, error('Only squared systems'); end
for k = 1:n-1
    for i = k+1:min(k+p,n), A(i,k)=A(i,k)/A(k,k);  end
    for j = k+1:min(k+q,n)
        i = [k+1:min(k+p,n)];   
        A(i,j)=A(i,j)-A(i,k)*A(k,j);
    end
end
return