function [A]=luijk(A)
% LUIJK LU factorization of a matrix A in the ijk version
% Y=LUIJK(A) Y contains the strict lower triangle of L embedded in the same 
% matrix as the upper triangle of U.
[n,m]=size(A);
if n ~= m, error('Only squared systems'); end
for i=1:n
    for j=2:i
        if A(j,j)==0; error('Null pivot element'); end
        A(i,j-1)=A(i,j-1)/A(j-1,j-1);
        k=[1:j-1];   A(i,j)=A(i,j)-A(i,k)*A(k,j);
    end
    k=[1:i-1];
    for j=i+1:n
        A(i,j)=A(i,j)-A(i,k)*A(k,j);
    end
end
return