function [A]=lujki(A)
% LUJKI LU factorization of a matrix A in the jki version
% Y=LUJKI(A) Y contains the strict lower triangle of L embedded in the same 
% matrix as the upper triangle of U.
[n,m]=size(A);
if n ~= m, error('Only squared systems'); end
for j=1:n
    if A(j,j)==0; error('Null pivot element'); end
    for k=1:j-1   
        i=[k+1:n]; A(i,j)=A(i,j)-A(i,k)*A(k,j);
    end
    i=[j+1:n];   A(i,j)=A(i,j)/A(j,j); 
end
return
