function [A]=lukji(A)
% LUKJI LU factorization of a matrix A in the kji version
% Y=LUKJI(A) Y contains the strict lower triangle of L embedded in the same 
% matrix as the upper triangle of U.
[n,m]=size(A);
if n ~= m, error('Only squared systems'); end
for k=1:n-1
    if A(k,k)==0; error('Null pivot element'); end
    A(k+1:n,k)=A(k+1:n,k)/A(k,k);
    for j=k+1:n
        i=[k+1:n]; A(i,j)=A(i,j)-A(i,k)*A(k,j);
    end
end
return