function [xi,yi] = parspline (x,y)
%PARSPLINE Parametric cubic spline interpolation 
%  [XI, YI] = PARSPLINE(X, Y) constructs a two-dimensional cumulative cubic
%  spline. X and Y contain the interpolation data. XI and YI contain the 
%  parametric components  of the cubic spline with respect to x and y axes.
t (1) = 0;
for i = 1:length (x)-1
    t (i+1) = t (i) + sqrt ( (x(i+1)-x(i))^2 + (y(i+1)-y(i))^2 );
end
z = [t(1):(t(length(t))-t(1))/100:t(length(t))];
xi = spline (t,x,z);
yi = spline (t,y,z);

