function int=redmidpt(a,b,phi1,phi2,m,fun)
%REDMIDPT Midpoint reduction quadrature formula
%   INT=REDMIDPT(A,B,PHI1,PHI2,M,FUN) computes the integral
%   of the function FUN in the 2D domain with X in (A,B) and
%   Y delimited by the functions PHI1 and PHI2. FUN is a function
%   of y.
H=(b-a)/m; 
xx=[a+H/2:H:b]; 
dim=length(xx);
for i=1:dim
    x=xx(i); d=eval(phi2); c=eval(phi1); h=(d-c)/m; 
    y=[c+h/2:h:d]; w=eval(fun); psi(i)=h*sum(w(1:m)); 
end
int=H*sum(psi(1:m));
return