function int=redtrap(a,b,phi1,phi2,m,fun)
%REDTRAP Trapezoidal reduction quadrature formula
% INT=REDTRAP(A,B,PHI1,PHI2,M,FUN) computes the integral of the function
% FUN in the 2D domain with X in (A,B) and Y delimited by the functions PHI1 and
% PHI2. FUN is a function of y.
H=(b-a)/m; 
xx=[a:H:b]; 
dim=length(xx);
for i=1:dim
    x=xx(i); d=eval(phi2); c=eval(phi1); h=(d-c)/m; 
    y=[c:h:d]; w=eval(fun); psi(i)=h*(0.5*w(1)+sum(w(2:m))+0.5*w(m+1)); 
end
int=H*(0.5*psi(1)+sum(psi(2:m))+0.5*psi(m+1));
return