function int = romberg(a,b,n,fun)
%ROMBERG Romberg integration
% INT=ROMBERG(A,B,N,FUN) computes an approximation of the integral of the 
% function FUN in (A,B) via the Romberg method. FUN 
% accepts a real vector input x and returns a real vector value.
for i=1:n+1
    A(i,1)=trapezc(a,b,2^(i-1),fun);
end
for j=2:n+1
    for i=j:n+1  
        A(i,j)=(4^(j-1)*A(i,j-1)-A(i-1,j-1))/(4^(j-1)-1); 
    end
end
int=A(n+1,n+1);
return