function [p]=sturm(dd,bb,x)
%STURM Sturm sequence
% P=STURM(D,B,X) evaluates the Sturm sequence (5.65) in X.
n=length(dd); 
p(1)=1;
p(2)=dd(1)-x;
for i=2:n
    p(i+1)=(dd(i)-x)*p(i)-bb(i-1)^2*p(i-1); 
end
return