function int = trapmodc(a,b,m,fun,dfun)
%TRAPMODC Composite corrected trapezoidal formula
% INT=TRAPMODC(A,B,M,FUN,DFUN) computes an approximation of the integral of the 
% function FUN via the corrected trapezoidal method (with M equispaced 
% intervals). FUN and DFUN accept a real vector input x and returns a real vector value.
h=(b-a)/m; 
x=[a:h:b]; 
y=eval(fun); 
x=a; f1a=eval(dfun); 
x=b; f1b=eval(dfun);
int=h*(0.5*y(1)+sum(y(2:m))+0.5*y(m+1))+(h^2/12)*(f1a-f1b);
return
