function int=traptr2d(xv,yv,fun)
%TRAPTR2D Trapezoidal formula on a triangle.
% INT=TRAPTR2D(XV,YV,FUN) computes the integral of FUN on
% the triangle with vertices XV(K),YV(K), K=1,2,3. FUN is
% a function of x and y.
y12=yv(1)-yv(2); 
y23=yv(2)-yv(3); 
y31=yv(3)-yv(1); 
areat=0.5*abs(xv(1)*y23+xv(2)*y31+xv(3)*y12); 
int=0;
for i=1:3 
    x=xv(i); y=yv(i); int=int+eval(fun); 
end 
int=int*areat/3;
return
