function [x,w]=zpherm(n) 
%ZPHERM Gauss-Hermite formula.
%   [X,W]=ZPHERM(N) computes the nodes and the weights of the Gauss-Hermite
%   formula with N nodes.
if n<=1, error('n must be >1'); end
[a,b]=coefherm(n); 
JacM=diag(a)+diag(sqrt(b(2:n)),1)+diag(sqrt(b(2:n)),-1);
[w,x]=eig(JacM); x=diag(x); scal=sqrt(pi); w=w(1,:)'.^2*scal; 
[x,ind]=sort(x); w=w(ind);
return
