function [x,w]=zplagu(n)
%ZPLAGU Gauss-Laguerre formula.
%   [X,W]=ZPLAGU(N) computes the nodes and the weights of the Gauss-Laguerre
%   formula with N nodes.
if n<=1, error(' n must be {\ensuremath{>}} 1 '); end
[a,b]=coeflagu(n); 
JacM=diag(a)+diag(sqrt(b(2:n)),1)+diag(sqrt(b(2:n)),-1);
[w,x]=eig(JacM); x=diag(x); w=w(1,:)'.^2;
return
