function [x,w]=zplege(n)
%ZPLEGE Gauss-Legendre formula.
%   [X,W]=ZPLEGE(N) computes the nodes and the weights of the Gauss-Legendre
%   formula with N nodes.
if n<=1, error('n must be >1'); end
[a,b]=coeflege(n); 
JacM=diag(a)+diag(sqrt(b(2:n)),1)+diag(sqrt(b(2:n)),-1);
[w,x]=eig(JacM); x=diag(x); scal=2; w=w(1,:)'.^2*scal;
[x,ind]=sort(x); w=w(ind);
return
